#ifndef DRIVER_RECURSIVE
#  define DRIVER_RECURSIVE
#  include "driver.h"

/* 161000 Added TAFG H-3 */
/* 171000 Added NBAF 31a */
const struct GameDriver driver_0 = {
 __FILE__, 0, "", 0, 0, 0, 0, 0, 0, 0, NOT_A_DRIVER
};
#  define DRIVER(name, ver) extern struct GameDriver driver_##name##_##ver;
#  include "driver.c"
#  undef DRIVER
#  define DRIVER(name, ver) &driver_##name##_##ver,
const struct GameDriver *drivers[] = {
#  include "driver.c"
0 /* end of array */
};
#else /* DRIVER_RECURSIVE */
DRIVER(cc, 12)
DRIVER(cc, 13)
DRIVER(fh, l9)
DRIVER(dd, p7)
DRIVER(ij, l7)
DRIVER(mb, 106)
DRIVER(mb, 10)
DRIVER(ts, lx5)
DRIVER(ts, lx6)
DRIVER(tom, 13)
DRIVER(sttng, l7)
DRIVER(wcs, l2)
DRIVER(bop, l7)
DRIVER(mm, 109)
DRIVER(mm, 10)
DRIVER(br, l4)
DRIVER(cftbl, l4)
DRIVER(congo, 21)
DRIVER(corv, 21)
DRIVER(cp, 16)
DRIVER(cv, 14)
DRIVER(dh, lx2)
DRIVER(dm, lx4)
DRIVER(drac, l1)
DRIVER(dw, l2)
DRIVER(fs, lx5)
DRIVER(ft, l5)
DRIVER(gi, l9)
DRIVER(gw, l5)
DRIVER(hd, l3)
DRIVER(hurr, l2)
DRIVER(i500, 11r)
DRIVER(jb, 10r)
DRIVER(jd, l7)
DRIVER(jm, 12r)
DRIVER(jy, 12)
DRIVER(nbaf, 31)
DRIVER(nbaf, 31a)
DRIVER(nf, 23x)
DRIVER(ngg, 13)
DRIVER(pop, lx5)
DRIVER(pz, f4)
DRIVER(rs, l6)
DRIVER(sc, 18)
DRIVER(ss, 15)
DRIVER(t2, l8)
DRIVER(totan, 14)
DRIVER(wd, 12)
DRIVER(ww, l5)
DRIVER(sf, l1)
DRIVER(lc, 11)
DRIVER(ttt, 10)

DRIVER(tfdmd, l3)
DRIVER(tfs, 12)
DRIVER(tfa, 13)
DRIVER(tf95, 12)

DRIVER(tz, 92)
DRIVER(tz, 94h)
DRIVER(afm, 11)
DRIVER(afm, 113)
DRIVER(taf, l5)
DRIVER(tafg, lx3)
DRIVER(tafg, h3)
#endif /* DRIVER_RECURSIVE */

