WPC_WPCSOUND=1
WPC_DCSSOUND=1

COREDEFS += -DTINY_COMPILE=1
CPUS+=M6809@
DRVLIBS = $(OBJ)/wpc/wpc.o $(OBJ)/wpc/wpcsim.o $(OBJ)/wpc/snd_cmd.o $(OBJ)/wpcgames.a
DEFS+= -DWPCMAME=1
OBJDIRS+= $(OBJ)/wpc

ifdef WPC_WPCSOUND
DEFS   += -DWPC_WPCSOUND=1
SOUNDS += DAC@
SOUNDS += YM2151@
SOUNDS += HC55516@
DRVLIBS += $(OBJ)/wpc/wpcsound.o
endif
ifdef WPC_DCSSOUND
DEFS   += -DWPC_DCSSOUND=1
SOUNDS += CUSTOM@
CPUS   += ADSP2105@
DRVLIBS+= $(OBJ)/wpc/dcs.o
endif

$(OBJ)/wpcgames.a: \
	$(OBJ)/wpc/games.o \
	$(OBJ)/wpc/afm.o \
	$(OBJ)/wpc/taf.o \
	$(OBJ)/wpc/t2.o \
	$(OBJ)/wpc/fh.o \
	$(OBJ)/wpc/tz.o

COREOBJS += $(OBJ)/wpc/driver.o

# generated text files
TEXTS += gamelist.txt

gamelist.txt: $(EMULATOR)
	@echo Generating $@...
	@$(EMULATOR) -gamelistheader -clones > gamelist.txt
	@$(EMULATOR) -gamelist -clones | sort >> gamelist.txt
	@$(EMULATOR) -gamelistfooter >> gamelist.txt

ifdef DEBUG
DEFS+= -DDBG_BPR=1
LDFLAGS+= -Xlinker -Map -Xlinker $(NAME).map
endif

